#
# spec file for package opensuse-welcome
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define __builder ninja

Name:           opensuse-welcome
Version:        0.1.7.1
Release:        lp152.1.5
Summary:        Welcome utility for openSUSE
License:        GPL-3.0-or-later AND MIT
Group:          System/X11/Utilities
URL:            https://github.com/openSUSE/openSUSE-welcome
Source0:        https://github.com/openSUSE/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  hicolor-icon-theme
BuildRequires:  hicolor-icon-theme-branding-openSUSE
BuildRequires:  libqt5-linguist
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5WebChannel)
BuildRequires:  pkgconfig(Qt5WebEngine)
Recommends:     %{name}-lang = %{version}

%lang_package

%description
A welcome utility built to welcome new users to openSUSE.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/opensuse-welcome
%{_datadir}/applications/org.opensuse.opensuse_welcome.desktop
%{_sysconfdir}/xdg/autostart/org.opensuse.opensuse_welcome.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.opensuse.opensuse_welcome.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.opensuse.opensuse_welcome-symbolic.svg
%{_datadir}/metainfo/org.opensuse.opensuse_welcome.appdata.xml

%files lang
%{_datadir}/openSUSE-Welcome/

%changelog
* Tue Oct  1 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.1.7.1
- Way more translations have been added.
- The available translations are now:
  * Catalan
  * Chinese (China)
  * Czech
  * Dutch
  * French
  * German
  * Italian [45.1%%]
  * Japanese
  * Polish
  * Portuguese (Brazil)
  * Russian [51.2%%]
  - Spanish
* Wed Aug 21 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.1.6
- More translations, woo-hoo
- Fix bug where launching a help program causes the program to freeze
* Sun Jul 21 2019 Carson Black <uhhadd@gmail.com>
- Update to 0.1.5
- Translations are bundled outside of the binary now
- Messages are no longer spammed to console when running from terminal
- Unneeded and unused things removed for a smaller binary
- Mastodon social media now listed
- Subpackage translations
* Sat Jul 13 2019 Carson Black <uhhadd@gmail.com>
- Update to 1.4
- Even better RSS security
- Spanish translation
* Wed Jul 10 2019 Carson Black <uhhadd@gmail.com>
- Update to 1.3
- Fix license (again)
- Improved metadata (appstream, reverse dns)
- New icon
- Better RSS security
* Wed Jul 10 2019 Carson Black <uhhadd@gmail.com>
- fix naming issue pointed out by factory-auto
- fix license to match LICENSE file
* Fri Jun 21 2019 Carson Black <uhhadd@gmail.com>
- update to version 0.1.2
- files now have license headers
* Thu Jun 20 2019 Carson Black <uhhadd@gmail.com>
- update to version 0.1.1
- cmake installs desktop files now
- uses ninja now too
* Tue Jun  4 2019 Carson Black <uhhadd@gmail.com>
- looks like we're hopping back down some versions to 0.1.0, openSUSE Leap style
- move to openSUSE github
* Thu May 23 2019 Carson Black <uhhadd@gmail.com>
- Update to version 0.5
- Copy desktop files to needed locations
* Wed May 22 2019 Carson Black <uhhadd@gmail.com>
- update to version 0.2
* Tue May 21 2019 Carson Black <uhhadd@gmail.com>
- initial version
